Bug 486678 - Failing with 'mw-render' due to needing python-dateutil >=1.4.1
Failing with 'mw-render' due to needing python-dateutil >=1.4.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-mwlib (Show other bugs)
12
All Linux
high Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
: 568856 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 18:55 EST by Karsten Wade
Modified: 2010-04-20 09:34 EDT (History)
9 users (show)

See Also:
Fixed In Version: python-mwlib-0.11.2-6.20090522hg2956.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-20 09:34:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Port to odfpy-0.8 (1.42 KB, patch)
2009-04-01 22:37 EDT, Toshio Ernie Kuratomi
no flags Details | Diff
Patch to use odfpy09 to fix a traceback found by upstream. (1.73 KB, patch)
2009-04-20 18:52 EDT, Toshio Ernie Kuratomi
no flags Details | Diff
Spec file with updated Requires (3.87 KB, text/plain)
2009-12-22 11:59 EST, Toshio Ernie Kuratomi
no flags Details
Patch to make python-mwlib work with python-twisted (738 bytes, patch)
2010-01-11 17:14 EST, Ryan Thomas
no flags Details | Diff

  None (edit)
Description Karsten Wade 2009-02-20 18:55:52 EST
There is an internal Python dependency that is shown during usage of mw-render:

mw-render -c http://fedoraproject.org/w/ -w docbook Some_wiki_page -o Some_wiki_page.xml

Traceback (most recent call last):
  File "/usr/bin/mw-render", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 2566, in <module>
    parse_requirements(__requires__), Environment()
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 524, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: python-dateutil>=1.4.1

The current package for python-dateutil is 1.4:

  rpm -q python-dateutil
  python-dateutil-1.4-2.fc10.noarch

... and no update is evident in koji or bodhi.

Asking the python-dateutil packager, it sounds as if this package isn't exposing the dependency and ... some other stuff:

< spoleeba> quaid, python-mwlib  doesnt expose the dep
< spoleeba> quaid, its at least a packaging bug
< spoleeba> quaid, there's probably another bug as well
< spoleeba> quaid, i dont understand the error
< spoleeba> quaid, repoquery  --whatrequires --alldeps python-dateutil and python-mwlib doesnt come back
< spoleeba> quaid, we'll need to talk to the python-mwlib maintainer
< spoleeba> quaid, that dateutil package is patched to make use of our systemwide tzdata..instead of holding 
                  obsolete data
< spoleeba> quaid, i do not know if thats the problem
< spoleeba> quaid, reading the traceback... i dont understand why it failed
< spoleeba> quaid, shoot me the bug ticket and ill cc
< spoleeba> quaid, id have to understnad where its reading the version string from
Comment 1 Jef Spaleta 2009-02-20 19:00:40 EST
okay so here's the deal

python-dateutil is at version 1.4  in Fedora10

python-mwlib doesn't expose a package level requirement for python-dateutil at all.

Inside python-mwlib there is a versioned version check. which requires 1.4.1

I can look into getting python-dateutil updated to meet that version check, if you get a versioned dep into the packaging of python-mwlib and promise to keep it in sync with the hardcoded version dep.

-jef
Comment 2 Karsten Wade 2009-02-20 20:31:44 EST
I installed the updating python-dateutil package from koji, which made that complaint go a way, and ran in to another dependency problem with odfpy:

Traceback (most recent call last):
  File "/usr/bin/mw-render", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 2566, in <module>
    parse_requirements(__requires__), Environment()
  File "/usr/lib/python2.5/site-packages/pkg_resources.py", line 524, in resolve
    raise DistributionNotFound(req)  # XXX put more info here
pkg_resources.DistributionNotFound: odfpy==0.7.0
Comment 3 Paul W. Frields 2009-02-20 22:19:01 EST
Right, see the egg info to see the real requirements.

Are we going to need an odfpy07 package?  odfpy-0.8 is not supported by mwlib: http://code.pediapress.com/wiki/wiki/mwlib-install
Comment 4 Fedora Update System 2009-02-26 19:00:58 EST
python-dateutil-1.4.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-dateutil-1.4.1-2.fc10
Comment 5 Jef Spaleta 2009-03-14 20:04:05 EDT
ping!

Do i need to release the python-dateutil from updates-testing into stable?
It hasn't seen any karma love at all since being put into testing.

What's going on with python-mwlib's dep situation?


-jef
Comment 6 Ian Weller 2009-03-14 20:22:11 EDT
(In reply to comment #5)
> ping!
> 
> Do i need to release the python-dateutil from updates-testing into stable?
> It hasn't seen any karma love at all since being put into testing.
> 
> What's going on with python-mwlib's dep situation?
> 
I've been neglecting this bug because I haven't had time :(

Go ahead and throw it in stable. FWIW I think PWF is right in that we need a odfpy07 package. I'll get on that.
Comment 7 Fedora Update System 2009-03-16 15:49:06 EDT
python-dateutil-1.4.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Ian Weller 2009-03-17 22:58:41 EDT
danielsmw is awesome and has created the odfpy07 package. He'll submit it for review soon :)
Comment 9 Toshio Ernie Kuratomi 2009-04-01 22:37:20 EDT
Created attachment 337710 [details]
Port to odfpy-0.8
Comment 10 Toshio Ernie Kuratomi 2009-04-01 22:43:59 EDT
I just attached a patch to port mwlib/odfwriter.py to odfpy-0.8.  With this applied, the regression tests in tests/test_odfwriter.py pass.

I looked at the source code when I did this and it seems correct but getting upstream to look it over is always a good idea.
Comment 11 Ian Weller 2009-04-02 19:00:12 EDT
Upstream contacted. http://code.pediapress.com/wiki/ticket/567
Comment 12 Toshio Ernie Kuratomi 2009-04-20 18:52:42 EDT
Created attachment 340452 [details]
Patch to use odfpy09 to fix a traceback found by upstream.

Here's a better patch.  I don't have the data to test that mw-render works with this patch, but it should fix the current problem.
Comment 13 Toshio Ernie Kuratomi 2009-06-23 20:08:55 EDT
Has this been fixed?
Comment 14 Ken MacLeod 2009-07-23 15:39:45 EDT
There are several other missing dependencies that cause 'mw-render --list-writers' to fail to run.

On Fedora 11, I installed the following two packages from rawhide as RPMs (yum install would have pulled in way too many rawhide updates):

    python-mwlib-0.11.2-2.20090522hg2956.fc12
    odfpy-0.9-1.fc12

These other packages and their dependencies are needed to get 'mw-render' to run:

    python-setuptools
    python-dateutil
    python-twisted
    LabPlot
    blahtexml

The DocBook backend also requires this package:

    python-lxml
Comment 15 Bug Zapper 2009-11-18 02:50:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Paul W. Frields 2009-11-18 09:08:46 EST
Pretty sure things are still broken in F12, moving the release appropriately.
Comment 17 Toshio Ernie Kuratomi 2009-12-22 11:59:36 EST
Created attachment 379865 [details]
Spec file with updated Requires

Attaching an updated spec file.  Built in koji:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1886457

Otherwise untested.
Comment 18 Ryan Thomas 2010-01-11 17:14:09 EST
Created attachment 383112 [details]
Patch to make  python-mwlib work with python-twisted

The previous patches do not fix python-mwlib for F12.  This patch does resolve the issues I saw in my testing which concerned the version check for twisted.

The problem is that Fedora packages subpackages of twisted instead of a monolothic install.  This means that version checks for twisted have to reference the subpackages. The attached patch changes the check for "twisted" to a check for "twisted-core"/
Comment 19 Fedora Update System 2010-02-28 10:38:29 EST
python-mwlib-0.11.2-4.20090522hg2956.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-mwlib-0.11.2-4.20090522hg2956.fc12
Comment 20 Paul W. Frields 2010-02-28 10:38:57 EST
*** Bug 568856 has been marked as a duplicate of this bug. ***
Comment 21 Fedora Update System 2010-03-01 20:11:13 EST
python-mwlib-0.11.2-4.20090522hg2956.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-mwlib'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3337
Comment 22 Paul W. Frields 2010-03-17 15:58:05 EDT
I made a stupid mistake and failed to include the actual dependency. Rebuilding for devel back to F-12 right now.
Comment 23 Fedora Update System 2010-03-17 17:11:51 EDT
python-mwlib-0.11.2-5.20090522hg2956.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-mwlib-0.11.2-5.20090522hg2956.fc12
Comment 24 Fedora Update System 2010-03-17 20:16:18 EDT
python-mwlib-0.11.2-6.20090522hg2956.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-mwlib-0.11.2-6.20090522hg2956.fc12
Comment 25 Fedora Update System 2010-03-19 23:49:42 EDT
python-mwlib-0.11.2-6.20090522hg2956.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-mwlib'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-mwlib-0.11.2-6.20090522hg2956.fc12
Comment 26 Fedora Update System 2010-04-20 09:34:36 EDT
python-mwlib-0.11.2-6.20090522hg2956.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.